- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 91d137b8-70bc-4200-a306-e2097fe53844
    creation_time: 2023-02-17T13:35:34.390040Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum04-2.c
      input_file_hashes:
        c/loops/sum04-2.c: 82f112c4bef2fc4210fc1094fd6003d54e9bbb66ed6ce425fee43104d4179cbe
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum04-2.c
    file_hash: 82f112c4bef2fc4210fc1094fd6003d54e9bbb66ed6ce425fee43104d4179cbe
    line: 17
    column: 0
    function: main
  loop_invariant:
    string: sn == (i - 1) * 2 && i <= 8 + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ef669802-699f-4175-bce7-3e08ae4df499
    creation_time: 2023-02-17T13:35:34.390454Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum04-2.c
      input_file_hashes:
        c/loops/sum04-2.c: 82f112c4bef2fc4210fc1094fd6003d54e9bbb66ed6ce425fee43104d4179cbe
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum04-2.c
    file_hash: 82f112c4bef2fc4210fc1094fd6003d54e9bbb66ed6ce425fee43104d4179cbe
    line: 19
    column: 0
    function: main
  location_invariant:
    string: sn == 8 * 2 || sn == 0
    type: assertion
    format: C

